#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1427\r"; sleep 2;
echo -e "write (0,1) -1563\r"; sleep 2;
echo -e "write (0,2) -1470\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1425\r"; sleep 2;
echo -e "write (0,5) -1422\r"; sleep 2;
echo -e "write (0,6) -1593\r"; sleep 2;
echo -e "write (0,9) -1630\r"; sleep 2;
echo -e "write (0,10) -1460\r"; sleep 2;
echo -e "write (0,11) -1346\r"; sleep 2;
echo -e "write (0,12) -1420\r"; sleep 2;
echo -e "write (0,13) -1486\r"; sleep 2;
echo -e "write (0,14) -1511\r"; sleep 2;
echo -e "write (1,0) -1369\r"; sleep 2;
echo -e "write (1,1) -1576\r"; sleep 2;
echo -e "write (1,2) -1337\r"; sleep 2;
echo -e "write (1,3) -1374\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1394\r"; sleep 2;
echo -e "write (1,6) -1387\r"; sleep 2;
echo -e "write (1,9) -1471\r"; sleep 2;
echo -e "write (1,10) -1261\r"; sleep 2;
echo -e "write (1,11) -1307\r"; sleep 2;
echo -e "write (1,12) -1297\r"; sleep 2;
echo -e "write (1,13) -1322\r"; sleep 2;
echo -e "write (1,14) -1254\r"; sleep 2;
echo -e "write (2,0) -1324\r"; sleep 2;
echo -e "write (2,1) -1283\r"; sleep 2;
echo -e "write (2,2) -1319\r"; sleep 2;
echo -e "write (2,3) -1442\r"; sleep 2;
echo -e "write (2,4) -1549\r"; sleep 2;
echo -e "write (2,5) -1390\r"; sleep 2;
echo -e "write (2,6) -1536\r"; sleep 2;
echo -e "write (2,9) -1295\r"; sleep 2;
echo -e "write (2,10) -1244\r"; sleep 2;
echo -e "write (2,11) -1374\r"; sleep 2;
echo -e "write (2,12) -1387\r"; sleep 2;
echo -e "write (2,14) -1386\r"; sleep 2;
echo -e "write (3,0) -1515\r"; sleep 2;
echo -e "write (3,1) -1515\r"; sleep 2;
echo -e "write (3,2) -1346\r"; sleep 2;
echo -e "write (3,3) -1621\r"; sleep 2;
echo -e "write (3,4) -1443\r"; sleep 2;
echo -e "write (3,5) -1324\r"; sleep 2;
echo -e "write (3,6) -1182\r"; sleep 2;
echo -e "write (3,9) -1326\r"; sleep 2;
echo -e "write (3,10) -1310\r"; sleep 2;
echo -e "write (3,11) -1186\r"; sleep 2;
echo -e "write (3,12) -1257\r"; sleep 2;
echo -e "write (3,13) -1417\r"; sleep 2;
echo -e "write (3,14) -1522\r"; sleep 2;
echo -e "write (4,0) -1358\r"; sleep 2;
echo -e "write (4,1) -1483\r"; sleep 2;
echo -e "write (4,2) -1628\r"; sleep 2;
echo -e "write (4,3) -1556\r"; sleep 2;
echo -e "write (4,4) -1361\r"; sleep 2;
echo -e "write (4,5) -1563\r"; sleep 2;
echo -e "write (4,6) -1631\r"; sleep 2;
echo -e "write (4,9) -1631\r"; sleep 2;
echo -e "write (4,10) -1297\r"; sleep 2;
echo -e "write (4,11) -1420\r"; sleep 2;
echo -e "write (4,12) -1525\r"; sleep 2;
echo -e "write (4,13) -1400\r"; sleep 2;
echo -e "write (4,14) -1352\r"; sleep 2;
echo -e "write (5,0) -1281\r"; sleep 2;
echo -e "write (5,1) -1357\r"; sleep 2;
echo -e "write (5,2) -1511\r"; sleep 2;
echo -e "write (5,3) -1409\r"; sleep 2;
echo -e "write (5,4) -1316\r"; sleep 2;
echo -e "write (5,5) -1263\r"; sleep 2;
echo -e "write (5,6) -1475\r"; sleep 2;
echo -e "write (5,9) -1343\r"; sleep 2;
echo -e "write (5,10) -1342\r"; sleep 2;
echo -e "write (5,11) -1426\r"; sleep 2;
echo -e "write (5,12) -1373\r"; sleep 2;
echo -e "write (5,14) -1360\r"; sleep 2;
echo -e "write (5,15) -1356\r"; sleep 2;
echo -e "write (6,0) -1421\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1631\r"; sleep 2;
echo -e "write (6,3) -1351\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1575\r"; sleep 2;
echo -e "write (6,6) -1530\r"; sleep 2;
echo -e "write (6,9) -1537\r"; sleep 2;
echo -e "write (6,10) -1537\r"; sleep 2;
echo -e "write (6,12) -1488\r"; sleep 2;
echo -e "write (6,13) -1305\r"; sleep 2;
echo -e "write (6,14) -1412\r"; sleep 2;
echo -e "write (7,0) -1470\r"; sleep 2;
echo -e "write (7,1) -1347\r"; sleep 2;
echo -e "write (7,2) -1464\r"; sleep 2;
echo -e "write (7,3) -1479\r"; sleep 2;
echo -e "write (7,4) -1501\r"; sleep 2;
echo -e "write (7,5) -1212\r"; sleep 2;
echo -e "write (7,6) -1597\r"; sleep 2;
echo -e "write (7,9) -1464\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1326\r"; sleep 2;
echo -e "write (7,12) -1646\r"; sleep 2;
echo -e "write (7,13) -1346\r"; sleep 2;
echo -e "write (7,14) -1515\r"; sleep 2;
echo -e "write (8,0) -1455\r"; sleep 2;
echo -e "write (8,1) -1298\r"; sleep 2;
echo -e "write (8,2) -1429\r"; sleep 2;
echo -e "write (8,3) -1575\r"; sleep 2;
echo -e "write (8,4) -1526\r"; sleep 2;
echo -e "write (8,5) -1470\r"; sleep 2;
echo -e "write (8,6) -1313\r"; sleep 2;
echo -e "write (8,9) -1325\r"; sleep 2;
echo -e "write (8,10) -1600\r"; sleep 2;
echo -e "write (8,11) -1479\r"; sleep 2;
echo -e "write (8,12) -1603\r"; sleep 2;
echo -e "write (8,13) -1275\r"; sleep 2;
echo -e "write (8,14) -1675\r"; sleep 2;
echo -e "write (9,0) -1635\r"; sleep 2;
echo -e "write (9,1) -1365\r"; sleep 2;
echo -e "write (9,2) -1371\r"; sleep 2;
echo -e "write (9,3) -1330\r"; sleep 2;
echo -e "write (9,4) -1328\r"; sleep 2;
echo -e "write (9,5) -1406\r"; sleep 2;
echo -e "write (9,6) -1339\r"; sleep 2;
echo -e "write (9,9) -1583\r"; sleep 2;
echo -e "write (9,10) -1563\r"; sleep 2;
echo -e "write (9,11) -1350\r"; sleep 2;
echo -e "write (9,12) -1598\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1691\r"; sleep 2;
echo -e "write (10,0) -1457\r"; sleep 2;
echo -e "write (10,1) -1495\r"; sleep 2;
echo -e "write (10,2) -1408\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1412\r"; sleep 2;
echo -e "write (10,5) -1283\r"; sleep 2;
echo -e "write (10,6) -1379\r"; sleep 2;
echo -e "write (10,9) -1624\r"; sleep 2;
echo -e "write (10,10) -1362\r"; sleep 2;
echo -e "write (10,11) -1561\r"; sleep 2;
echo -e "write (10,12) -1600\r"; sleep 2;
echo -e "write (10,13) -1264\r"; sleep 2;
echo -e "write (10,14) -1645\r"; sleep 2;
echo -e "write (11,0) -1363\r"; sleep 2;
echo -e "write (11,1) -1490\r"; sleep 2;
echo -e "write (11,2) -1637\r"; sleep 2;
echo -e "write (11,3) -1548\r"; sleep 2;
echo -e "write (11,4) -1583\r"; sleep 2;
echo -e "write (11,5) -1271\r"; sleep 2;
echo -e "write (11,6) -1395\r"; sleep 2;
echo -e "write (11,9) -1551\r"; sleep 2;
echo -e "write (11,10) -1391\r"; sleep 2;
echo -e "write (11,11) -1621\r"; sleep 2;
echo -e "write (11,12) -1401\r"; sleep 2;
echo -e "write (11,13) -1352\r"; sleep 2;
echo -e "write (11,14) -1651\r"; sleep 2;
echo -e "write (12,0) -1387\r"; sleep 2;
echo -e "write (12,1) -1430\r"; sleep 2;
echo -e "write (12,2) -1483\r"; sleep 2;
echo -e "write (12,3) -1471\r"; sleep 2;
echo -e "write (12,4) -1502\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1390\r"; sleep 2;
echo -e "write (12,9) -1359\r"; sleep 2;
echo -e "write (12,10) -1210\r"; sleep 2;
echo -e "write (12,11) -1395\r"; sleep 2;
echo -e "write (12,12) -1339\r"; sleep 2;
echo -e "write (12,13) -1348\r"; sleep 2;
echo -e "write (12,14) -1375\r"; sleep 2;
echo -e "write (13,0) -1453\r"; sleep 2;
echo -e "write (13,1) -1622\r"; sleep 2;
echo -e "write (13,2) -1633\r"; sleep 2;
echo -e "write (13,3) -1353\r"; sleep 2;
echo -e "write (13,4) -1267\r"; sleep 2;
echo -e "write (13,5) -1307\r"; sleep 2;
echo -e "write (13,6) -1428\r"; sleep 2;
echo -e "write (13,9) -1554\r"; sleep 2;
echo -e "write (13,10) -1301\r"; sleep 2;
echo -e "write (13,11) -1263\r"; sleep 2;
echo -e "write (13,12) -1296\r"; sleep 2;
echo -e "write (13,13) -1355\r"; sleep 2;
echo -e "write (13,14) -1321\r"; sleep 2;
echo -e "write (14,0) -1349\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1207\r"; sleep 2;
echo -e "write (14,4) -1362\r"; sleep 2;
echo -e "write (14,5) -1365\r"; sleep 2;
echo -e "write (14,6) -1365\r"; sleep 2;
echo -e "write (14,7) -1634\r"; sleep 2;
echo -e "write (14,9) -1414\r"; sleep 2;
echo -e "write (14,10) -1287\r"; sleep 2;
echo -e "write (14,11) -1423\r"; sleep 2;
echo -e "write (14,12) -1362\r"; sleep 2;
echo -e "write (14,13) -1363\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1429\r"; sleep 2;
echo -e "write (15,1) -1529\r"; sleep 2;
echo -e "write (15,2) -1548\r"; sleep 2;
echo -e "write (15,15) -1600\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
